variable "persistent_folder" {
  description = "The path to the persistent folder"
  type        = string
}

variable "backup_folder" {
  description = "The path to the backup folder"
  type        = string
}

variable "admin_username" {
  description = "The admin username for SFTPGo"
  type        = string
  sensitive   = true
}

variable "admin_password" {
  description = "The admin password for SFTPGo"
  type        = string
  sensitive   = true
}

variable "tag" {
  description = "The version of Rustdesk to install"
  type        = string
  default     = "latest"
}

variable "smtp_host" {
  description = "The SMTP relay host"
  type        = string
}

variable "smtp_port" {
  description = "The SMTP relay port"
  type        = number
}

variable "smtp_username" {
  description = "The SMTP relay username"
  type        = string
  sensitive   = true
}

variable "smtp_password" {
  description = "The SMTP relay password"
  type        = string
  sensitive   = true
}

variable "from_email" {
  description = "The email address to use as the sender"
  type        = string
}
variable "access_key" {
  description = "The access key for the S3 compatible storage"
  type        = string
  sensitive   = true
}

variable "secret_key" {
  description = "The secret key for the S3 compatible storage"
  type        = string
  sensitive   = true
}

variable "fqdn" {
  description = "The fully qualified domain name for the Rustdesk server"
  type        = string
}

variable "issuer" {
  description = "The issuer for the certificate"
  type        = string
  default     = "internal-ca"
}

variable "tls_enabled" {
  description = "Enable TLS for the SFTPGo server"
  type        = bool
  default     = true
}

